VkRenderPassCreateInfo2KHR Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkRenderPassCreateInfo2KHR:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkRenderPassCreateFlags | flags
uint32_t | attachmentCount
const VkAttachmentDescription2KHR * | pAttachments
uint32_t | subpassCount
const VkSubpassDescription2KHR * | pSubpasses
uint32_t | dependencyCount
const VkSubpassDependency2KHR * | pDependencies
uint32_t | correlatedViewMaskCount
const uint32_t * | pCorrelatedViewMasks

## Detailed Description

Definition at line 5601 of file vulkan_core.h.

## Field Documentation

## attachmentCount

uint32_t VkRenderPassCreateInfo2KHR::attachmentCount

Definition at line 5605 of file vulkan_core.h.

## correlatedViewMaskCount

uint32_t VkRenderPassCreateInfo2KHR::correlatedViewMaskCount

Definition at line 5611 of file vulkan_core.h.

## dependencyCount

uint32_t VkRenderPassCreateInfo2KHR::dependencyCount

Definition at line 5609 of file vulkan_core.h.

## flags

VkRenderPassCreateFlags VkRenderPassCreateInfo2KHR::flags

Definition at line 5604 of file vulkan_core.h.

## pAttachments

const VkAttachmentDescription2KHR* VkRenderPassCreateInfo2KHR::pAttachments

Definition at line 5606 of file vulkan_core.h.

## pCorrelatedViewMasks

const uint32_t* VkRenderPassCreateInfo2KHR::pCorrelatedViewMasks

Definition at line 5612 of file vulkan_core.h.

## pDependencies

const VkSubpassDependency2KHR* VkRenderPassCreateInfo2KHR::pDependencies

Definition at line 5610 of file vulkan_core.h.

## pNext

const void* VkRenderPassCreateInfo2KHR::pNext

Definition at line 5603 of file vulkan_core.h.

## pSubpasses

const VkSubpassDescription2KHR* VkRenderPassCreateInfo2KHR::pSubpasses

Definition at line 5608 of file vulkan_core.h.

## sType

VkStructureType VkRenderPassCreateInfo2KHR::sType

Definition at line 5602 of file vulkan_core.h.

## subpassCount

uint32_t VkRenderPassCreateInfo2KHR::subpassCount

Definition at line 5607 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h